classification
Title: Add 'x' mode to bz2.open()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nadeem.vawda Nosy List: Arfrever, nadeem.vawda, oylenshpeegul, python-dev, vajrasky
Priority: normal Keywords: patch

Created on 2013-10-10 21:34 by oylenshpeegul, last changed 2013-10-18 22:12 by nadeem.vawda. This issue is now closed.

Files
File name Uploaded Description Edit
patch.bz2.py oylenshpeegul, 2013-10-10 21:34 Patch to allow option 'x' for the mode.
add_x_mode_to_bz2.patch vajrasky, 2013-10-13 05:05 Added test to Tim Heaney's work review
add_x_mode_to_bz2_v2.patch vajrasky, 2013-10-13 06:53 review
Messages (4)
msg199418 - (view) Author: Tim Heaney (oylenshpeegul) Date: 2013-10-10 21:34
This is analogous to issue19201, but for bz2. Recent versions of Python have an 'x' mode for open, but bz2 doesn't support it. It looks like everything is passed to builtins.open eventually, so if we just allow the 'x' option to pass through, all will be well.
msg199655 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-10-13 05:05
Added test.
msg199658 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-10-13 06:53
Added doc.
msg200313 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-18 22:11
New changeset 5abc04e6579b by Nadeem Vawda in branch 'default':
Issue #19223: Add support for the 'x' mode to the bz2 module.
http://hg.python.org/cpython/rev/5abc04e6579b
History
Date User Action Args
2013-10-18 22:12:46nadeem.vawdasetstatus: open -> closed
assignee: nadeem.vawda
resolution: fixed
stage: patch review -> resolved
2013-10-18 22:11:38python-devsetnosy: + python-dev
messages: + msg200313
2013-10-13 06:53:27vajraskysetfiles: + add_x_mode_to_bz2_v2.patch

messages: + msg199658
2013-10-13 05:05:09vajraskysetfiles: + add_x_mode_to_bz2.patch

nosy: + vajrasky
messages: + msg199655

keywords: + patch
2013-10-12 08:34:13Arfreversettitle: bz2 and 'x' mode open -> Add 'x' mode to bz2.open()
stage: patch review
components: + Library (Lib)
versions: - Python 3.3
2013-10-12 00:30:44terry.reedysetnosy: + nadeem.vawda
2013-10-11 07:43:29Arfreversetnosy: + Arfrever
2013-10-10 21:34:35oylenshpeegulcreate